# LedgePythonSdk
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.0.1
- Generator version: 7.4.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import ledge_python_sdk
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import ledge_python_sdk
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import ledge_python_sdk
from ledge_python_sdk.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = ledge_python_sdk.Configuration(
    host = "http://localhost"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: api_key
configuration.api_key['api_key'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'


# Enter a context with an instance of the API client
with ledge_python_sdk.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ledge_python_sdk.CaseRewardApi(api_client)
    game_id = 'game_id_example' # str |  (optional)
    product_id = 'product_id_example' # str |  (optional)
    opened = True # bool |  (optional)
    order_by_created_at = 'order_by_created_at_example' # str |  (optional)

    try:
        api_response = api_instance.get_case(game_id=game_id, product_id=product_id, opened=opened, order_by_created_at=order_by_created_at)
        print("The response of CaseRewardApi->get_case:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling CaseRewardApi->get_case: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CaseRewardApi* | [**get_case**](docs/CaseRewardApi.md#get_case) | **GET** /caseReward/case | 
*CaseRewardApi* | [**get_case_reward**](docs/CaseRewardApi.md#get_case_reward) | **GET** /caseReward/case-reward | 
*CaseRewardApi* | [**get_cases**](docs/CaseRewardApi.md#get_cases) | **GET** /caseReward | 
*CaseRewardApi* | [**update_cases_to_seen**](docs/CaseRewardApi.md#update_cases_to_seen) | **POST** /caseReward/update-cases-to-seen | 
*DrawApi* | [**get_next_active_draw_schedule**](docs/DrawApi.md#get_next_active_draw_schedule) | **GET** /draw/drawSchedule/active/{objectId} | 
*DrawApi* | [**get_previous_draw_schedules**](docs/DrawApi.md#get_previous_draw_schedules) | **GET** /draw/drawSchedule/previous/{objectId} | 
*ExternalApi* | [**create_goal**](docs/ExternalApi.md#create_goal) | **POST** /external/{key}/goal | 
*ExternalApi* | [**create_quest**](docs/ExternalApi.md#create_quest) | **POST** /external/quests | 
*ExternalApi* | [**create_quest_schedule**](docs/ExternalApi.md#create_quest_schedule) | **POST** /external/{key}/questSchedule | 
*ExternalApi* | [**get_external_user**](docs/ExternalApi.md#get_external_user) | **GET** /external/{key}/external-user | 
*ExternalApi* | [**get_my_goals**](docs/ExternalApi.md#get_my_goals) | **GET** /external/my-goals | 
*ExternalApi* | [**get_my_quests**](docs/ExternalApi.md#get_my_quests) | **GET** /external/my-quests | 
*ExternalApi* | [**register_user**](docs/ExternalApi.md#register_user) | **POST** /external/{key}/user | 
*ExternalApi* | [**track_activity**](docs/ExternalApi.md#track_activity) | **POST** /external/{key}/activity | 
*GamesApi* | [**get_game**](docs/GamesApi.md#get_game) | **GET** /games/{gameId} | 
*GamesApi* | [**get_game_images**](docs/GamesApi.md#get_game_images) | **GET** /games/{gameId}/gameImages | 
*GamesApi* | [**get_game_with_title_icon**](docs/GamesApi.md#get_game_with_title_icon) | **GET** /games/{gameId}/title-icon | 
*GamesApi* | [**get_games**](docs/GamesApi.md#get_games) | **GET** /games | 
*GamesApi* | [**get_genres**](docs/GamesApi.md#get_genres) | **GET** /games/genres | 
*GamesApi* | [**get_goals**](docs/GamesApi.md#get_goals) | **GET** /games/{gameId}/goals | 
*GamesApi* | [**get_played_games**](docs/GamesApi.md#get_played_games) | **GET** /games/played-games | 
*GamesApi* | [**get_rewards**](docs/GamesApi.md#get_rewards) | **GET** /games/{gameId}/rewards | 
*GuestApi* | [**validate_referral_code**](docs/GuestApi.md#validate_referral_code) | **GET** /guest | 
*InventoryApi* | [**get_avatar**](docs/InventoryApi.md#get_avatar) | **POST** /inventory/avatar | 
*InventoryApi* | [**get_inventory**](docs/InventoryApi.md#get_inventory) | **GET** /inventory | 
*InventoryApi* | [**get_item_count**](docs/InventoryApi.md#get_item_count) | **GET** /inventory/itemCount | 
*InventoryApi* | [**get_leaderboard**](docs/InventoryApi.md#get_leaderboard) | **GET** /inventory/leaderboard | 
*InventoryApi* | [**get_product_id_count**](docs/InventoryApi.md#get_product_id_count) | **GET** /inventory/products/{productId} | 
*InventoryApi* | [**get_spin_case**](docs/InventoryApi.md#get_spin_case) | **GET** /inventory/SpinCase | 
*InventoryApi* | [**get_user_avatar**](docs/InventoryApi.md#get_user_avatar) | **POST** /inventory/avatar/{userId} | 
*InventoryApi* | [**get_user_item_count**](docs/InventoryApi.md#get_user_item_count) | **GET** /inventory/users/{userId} | 
*InventoryApi* | [**update_inventory**](docs/InventoryApi.md#update_inventory) | **PATCH** /inventory | 
*InventoryApi* | [**update_profile**](docs/InventoryApi.md#update_profile) | **POST** /inventory/update-profile | 
*LeaderboardApi* | [**get_current_leaderboard**](docs/LeaderboardApi.md#get_current_leaderboard) | **GET** /leaderboard | 
*LeaderboardApi* | [**get_ranks**](docs/LeaderboardApi.md#get_ranks) | **GET** /leaderboard/ranks | 
*LeaderboardApi* | [**get_user_rank**](docs/LeaderboardApi.md#get_user_rank) | **GET** /leaderboard/userRank | 
*ListingsApi* | [**get_listings**](docs/ListingsApi.md#get_listings) | **GET** /listings | 
*NotificationApi* | [**delete_by_id**](docs/NotificationApi.md#delete_by_id) | **DELETE** /notification | 
*NotificationApi* | [**get_notifications**](docs/NotificationApi.md#get_notifications) | **GET** /notification | 
*NotificationApi* | [**update_notifications**](docs/NotificationApi.md#update_notifications) | **PATCH** /notification/notifications | 
*ProductApi* | [**get_products**](docs/ProductApi.md#get_products) | **GET** /product | 
*ProductApi* | [**get_swappable_product**](docs/ProductApi.md#get_swappable_product) | **GET** /product/swap-product/{productId} | 
*ProductApi* | [**get_swappable_products**](docs/ProductApi.md#get_swappable_products) | **GET** /product/swappable-products | 
*QuestsApi* | [**get_goal_streak**](docs/QuestsApi.md#get_goal_streak) | **GET** /quests/goal-streak | 
*QuestsApi* | [**get_last_refreshed_at**](docs/QuestsApi.md#get_last_refreshed_at) | **GET** /quests/refreshedAt | 
*QuestsApi* | [**get_participants**](docs/QuestsApi.md#get_participants) | **GET** /quests/participants | 
*QuestsApi* | [**get_past_winners**](docs/QuestsApi.md#get_past_winners) | **GET** /quests/{questId}/past-winners | 
*QuestsApi* | [**get_quests**](docs/QuestsApi.md#get_quests) | **GET** /quests | 
*QuestsApi* | [**is_participating**](docs/QuestsApi.md#is_participating) | **GET** /quests/{goalId}/is-participating | 
*ScreensApi* | [**get_banner**](docs/ScreensApi.md#get_banner) | **GET** /screens/banner | 
*ScreensApi* | [**get_screens**](docs/ScreensApi.md#get_screens) | **GET** /screens | 
*SocialApi* | [**connect_social**](docs/SocialApi.md#connect_social) | **POST** /social/connect-social | 
*SocialApi* | [**create_wallet_connection**](docs/SocialApi.md#create_wallet_connection) | **GET** /social/connect-wallet | 
*SocialApi* | [**get_connected_social**](docs/SocialApi.md#get_connected_social) | **GET** /social/connected-social | 
*SocialApi* | [**get_connected_socials**](docs/SocialApi.md#get_connected_socials) | **GET** /social/connected-socials | 
*SocialApi* | [**get_profile**](docs/SocialApi.md#get_profile) | **GET** /social/profile | 
*SocialApi* | [**remove_connected_social**](docs/SocialApi.md#remove_connected_social) | **DELETE** /social/connected-social | 
*TransactionApi* | [**get_all_transactions**](docs/TransactionApi.md#get_all_transactions) | **GET** /transaction | 
*UserApi* | [**accounts**](docs/UserApi.md#accounts) | **GET** /user/accounts | 
*UserApi* | [**buy_product**](docs/UserApi.md#buy_product) | **POST** /user/buy-product | 
*UserApi* | [**create_game_activity**](docs/UserApi.md#create_game_activity) | **POST** /user/game-activity | 
*UserApi* | [**create_notification_token**](docs/UserApi.md#create_notification_token) | **POST** /user/notification-token | 
*UserApi* | [**create_user_installed_games**](docs/UserApi.md#create_user_installed_games) | **POST** /user/create-user-installed-games | 
*UserApi* | [**delete_me**](docs/UserApi.md#delete_me) | **DELETE** /user | 
*UserApi* | [**get_activity**](docs/UserApi.md#get_activity) | **GET** /user/activity | 
*UserApi* | [**get_me**](docs/UserApi.md#get_me) | **GET** /user | 
*UserApi* | [**get_notification_token**](docs/UserApi.md#get_notification_token) | **GET** /user/notification-token | 
*UserApi* | [**get_player_stats**](docs/UserApi.md#get_player_stats) | **GET** /user/player-stats | 
*UserApi* | [**get_processed_play_time**](docs/UserApi.md#get_processed_play_time) | **GET** /user/processed-play-time | 
*UserApi* | [**get_referrals**](docs/UserApi.md#get_referrals) | **GET** /user/referrals | 
*UserApi* | [**get_transaction**](docs/UserApi.md#get_transaction) | **GET** /user/transaction/{id} | 
*UserApi* | [**get_transactions**](docs/UserApi.md#get_transactions) | **GET** /user/transactions | 
*UserApi* | [**get_user**](docs/UserApi.md#get_user) | **GET** /user/user | 
*UserApi* | [**get_users_merged_with**](docs/UserApi.md#get_users_merged_with) | **GET** /user/{gameId}/{userId} | 
*UserApi* | [**merge_account**](docs/UserApi.md#merge_account) | **POST** /user/merge/{gameId}/{externalUserId} | 
*UserApi* | [**register**](docs/UserApi.md#register) | **POST** /user | 
*UserApi* | [**subscribe_to_email_notifications**](docs/UserApi.md#subscribe_to_email_notifications) | **POST** /user/subscribe-to-email-notifications | 
*UserApi* | [**update**](docs/UserApi.md#update) | **PATCH** /user | 
*UserApi* | [**update_referral**](docs/UserApi.md#update_referral) | **PATCH** /user/referral | 


## Documentation For Models

 - [Activity](docs/Activity.md)
 - [ActivityInput](docs/ActivityInput.md)
 - [ActivityType](docs/ActivityType.md)
 - [Banner](docs/Banner.md)
 - [CaseReward](docs/CaseReward.md)
 - [CaseRewardDetailed](docs/CaseRewardDetailed.md)
 - [ConnectedSocial](docs/ConnectedSocial.md)
 - [ConnectionType](docs/ConnectionType.md)
 - [CreateGoalRequest](docs/CreateGoalRequest.md)
 - [CreateNotificationTokenRequest](docs/CreateNotificationTokenRequest.md)
 - [CreateQuestRequest](docs/CreateQuestRequest.md)
 - [CreateQuestSchedule200Response](docs/CreateQuestSchedule200Response.md)
 - [CreateQuestScheduleRequest](docs/CreateQuestScheduleRequest.md)
 - [CreateUserInstalledGamesRequestInner](docs/CreateUserInstalledGamesRequestInner.md)
 - [Draw](docs/Draw.md)
 - [DrawDetailed](docs/DrawDetailed.md)
 - [DrawProduct](docs/DrawProduct.md)
 - [DrawProductDetailed](docs/DrawProductDetailed.md)
 - [DrawSchedule](docs/DrawSchedule.md)
 - [DrawScheduleDetailed](docs/DrawScheduleDetailed.md)
 - [ErrorResponse](docs/ErrorResponse.md)
 - [ExternalActivity](docs/ExternalActivity.md)
 - [ExternalUser](docs/ExternalUser.md)
 - [Game](docs/Game.md)
 - [GameDetailed](docs/GameDetailed.md)
 - [GameGenre](docs/GameGenre.md)
 - [GameGenreDetailed](docs/GameGenreDetailed.md)
 - [GameImages](docs/GameImages.md)
 - [GameTag](docs/GameTag.md)
 - [GameTagDetailed](docs/GameTagDetailed.md)
 - [GameWithTitleIcon](docs/GameWithTitleIcon.md)
 - [Gender](docs/Gender.md)
 - [Genre](docs/Genre.md)
 - [GenreDetailed](docs/GenreDetailed.md)
 - [GetProfile200Response](docs/GetProfile200Response.md)
 - [Goal](docs/Goal.md)
 - [GoalDetailed](docs/GoalDetailed.md)
 - [GoalProduct](docs/GoalProduct.md)
 - [GoalProductDetailed](docs/GoalProductDetailed.md)
 - [Leaderboard](docs/Leaderboard.md)
 - [Listing](docs/Listing.md)
 - [ListingDetailed](docs/ListingDetailed.md)
 - [MergeAccountRequest](docs/MergeAccountRequest.md)
 - [Notification](docs/Notification.md)
 - [NotificationDetailed](docs/NotificationDetailed.md)
 - [NotificationToken](docs/NotificationToken.md)
 - [NotificationType](docs/NotificationType.md)
 - [PaginatedCaseRewardDetailed](docs/PaginatedCaseRewardDetailed.md)
 - [PaginatedCaseRewardDetailedPagination](docs/PaginatedCaseRewardDetailedPagination.md)
 - [PaginatedGameDetailed](docs/PaginatedGameDetailed.md)
 - [PaginatedListingDetailed](docs/PaginatedListingDetailed.md)
 - [PaginatedNotificationDetailed](docs/PaginatedNotificationDetailed.md)
 - [PaginatedQuestScheduleDetailed](docs/PaginatedQuestScheduleDetailed.md)
 - [PaginatedRankDetailed](docs/PaginatedRankDetailed.md)
 - [PaginatedScreenDetailed](docs/PaginatedScreenDetailed.md)
 - [PaginatedTransactionDetailed](docs/PaginatedTransactionDetailed.md)
 - [PeriodType](docs/PeriodType.md)
 - [PlayerStats](docs/PlayerStats.md)
 - [ProcessedDrawSchedule](docs/ProcessedDrawSchedule.md)
 - [Product](docs/Product.md)
 - [ProductSwap](docs/ProductSwap.md)
 - [ProductType](docs/ProductType.md)
 - [Progress](docs/Progress.md)
 - [Quest](docs/Quest.md)
 - [QuestDetailed](docs/QuestDetailed.md)
 - [QuestSchedule](docs/QuestSchedule.md)
 - [QuestScheduleDetailed](docs/QuestScheduleDetailed.md)
 - [QuestType](docs/QuestType.md)
 - [Rank](docs/Rank.md)
 - [RankDetailed](docs/RankDetailed.md)
 - [RegisterRequest](docs/RegisterRequest.md)
 - [Screen](docs/Screen.md)
 - [ScreenDetailed](docs/ScreenDetailed.md)
 - [SocialProfile](docs/SocialProfile.md)
 - [StatusType](docs/StatusType.md)
 - [Tag](docs/Tag.md)
 - [TagDetailed](docs/TagDetailed.md)
 - [TrackActivity200Response](docs/TrackActivity200Response.md)
 - [Transaction](docs/Transaction.md)
 - [TransactionDetailed](docs/TransactionDetailed.md)
 - [TransactionType](docs/TransactionType.md)
 - [UpdateNotificationsRequest](docs/UpdateNotificationsRequest.md)
 - [UpdateProfileRequest](docs/UpdateProfileRequest.md)
 - [UpdateRequest](docs/UpdateRequest.md)
 - [User](docs/User.md)
 - [UserConnection](docs/UserConnection.md)
 - [UserDraw](docs/UserDraw.md)
 - [UserDrawDetailed](docs/UserDrawDetailed.md)
 - [UserInventory](docs/UserInventory.md)
 - [UserInventoryDetailed](docs/UserInventoryDetailed.md)
 - [UserQuestDraw](docs/UserQuestDraw.md)
 - [UserQuestDrawDetailed](docs/UserQuestDrawDetailed.md)
 - [UserSpinDetailed](docs/UserSpinDetailed.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="api_key"></a>
### api_key

- **Type**: API key
- **API key parameter name**: access_token
- **Location**: URL query string


## Author




